{% extends "base_site.html" %}

{% load static i18n %}
{% load wagtailimages_tags wagtailsettings_tags %}

{% get_settings %}


{% block content %}
  <h1>{{ page.title }}</h1>
  <p>{{ page.content|safe }}</p>
  
  <h2>{% trans "Gallery" %}</h2>
  <div class="homepage__gallery">
    {% for gallery_image in page.gallery_images.all %}
      {% image gallery_image.image fill-160x90 %}
    {% endfor %}
  </div>

  <h2>{% trans "Testimonials" %}</h2>
  <ul>
  {% for testimony in testimonials %}
    <li>
      <div>{{ testimony.content|safe }}</div>
      <div><strong>{{ testimony.name }}</strong> - {{ testimony.job }} {% trans "at" %} {{ testimony.company }}</div>
    </li>  
  {% endfor %}
  </ul>

  <div>
    <div>{% trans "Follow Us" %}</div>
    <h2>{% trans "Stay Up to Date" %}</h2>

    <div>
      <div>{% trans "Follow our social media for more information and news" %}</div>
      <div>
        {% with settings.glamour_base.CompanySetting as company %}
          {% if company.instagram %}<a href="{{ company.instagram }}">Instagram</a>{% endif %}
          {% if company.facebook %}<a href="{{ company.instagram }}">Facebook</a>{% endif %}
          {% if company.youtube %}<a href="{{ company.instagram }}">Youtube</a>{% endif %}
          {% if company.twitter %}<a href="{{ company.instagram }}">Twitter</a>{% endif %}
        {% endwith %}
      </div>
    </div>

  </div>
{% endblock content %}
